%define major 24
%define libname %mklibname %{name} %{major}
%define cmajor 1
%define libc %mklibname %{name}c %{cmajor}
%define kvmajor 10
%define libkv %mklibname kvutils %{kvmajor}
%define develname %mklibname %{name} -d

Summary:	Sound processing, multitrack recording, and mixing tools
Name:		ecasound
Version:	2.9.1
Release: 	%mkrel 6
License: 	GPLv2+
Group: 		Sound/Editors and Converters
URL: 		http://www.eca.cx/ecasound/
Source0: 	http://ecasound.seul.org/download/%{name}-%{version}.tar.gz
Source1:        %{name}16.png
Source2:        %{name}32.png
Source3:        %{name}48.png
Patch0:		ecasound-2.9.1-shared.patch
Patch1:		ecasound-shellbang_fix.diff
Patch2:		ecasound-linkage_fix.diff
Patch3:		ecaound-2.6.0-link-pyecasound.patch
Patch4:		ecasound-2.8.1-ruby19dir.patch
BuildRequires:  autoconf
BuildRequires:	jackit-devel
BuildRequires:	libalsa-devel
BuildRequires:	libaudiofile-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libsndfile-devel
BuildRequires:	ncurses-devel
BuildRequires:	python-devel
BuildRequires:	readline-devel
BuildRequires:	liboil-devel
BuildRequires:	liblo-devel
BuildRequires:	pkgconfig(lilv-0)
BuildRequires:	ruby
BuildRequires:	ruby-devel
BuildRequires:	multiarch-utils >= 1.0.3

%define python_compile_opt python -O -c "import compileall; compileall.compile_dir('.')"
%define python_compile     python -c "import compileall; compileall.compile_dir('.')"

%description
Ecasound is a software package designed for multitrack
audio processing. It can be used for simple tasks like
audio playback, recording and format conversions, as
well as for multitrack effect processing, mixing,
recording and signal recycling. Ecasound supports a
wide range of audio inputs, outputs and effect
algorithms. Effects and audio objects can be combined
in various ways, and their parameters can be
controlled by operator objects like oscillators and
MIDI-CCs. A versatile console mode user-interface is
included in the package.

%package -n	%{libname}
Summary: 	Shared libraries for Ecasound
Group: 		System/Libraries
Obsoletes:	%{mklibname ecasound 22}

%description -n	%{libname}
Ecasound is a software package designed for multitrack
audio processing. It can be used for simple tasks like
audio playback, recording and format conversions, as
well as for multitrack effect processing, mixing,
recording and signal recycling. Ecasound supports a
wide range of audio inputs, outputs and effect
algorithms. Effects and audio objects can be combined
in various ways, and their parameters can be
controlled by operator objects like oscillators and
MIDI-CCs. A versatile console mode user-interface is
included in the package.

This package contains the shared Ecasound libraries.

%package -n     %{libc}
Summary:        Shared libraries for Ecasound
Group:          System/Libraries
Conflicts:      %{_lib}ecasound23 < 2.8.1-4

%description -n %{libc}
Ecasound is a software package designed for multitrack
audio processing. It can be used for simple tasks like
audio playback, recording and format conversions, as
well as for multitrack effect processing, mixing,
recording and signal recycling. Ecasound supports a
wide range of audio inputs, outputs and effect
algorithms. Effects and audio objects can be combined
in various ways, and their parameters can be
controlled by operator objects like oscillators and
MIDI-CCs. A versatile console mode user-interface is
included in the package.

This package contains the shared Ecasoundc library.

%package -n     %{libkv}
Summary:        Shared libraries for Ecasound
Group:          System/Libraries
Conflicts:      %{_lib}ecasound23 < 2.8.1-4

%description -n %{libkv}
Ecasound is a software package designed for multitrack
audio processing. It can be used for simple tasks like
audio playback, recording and format conversions, as
well as for multitrack effect processing, mixing,
recording and signal recycling. Ecasound supports a
wide range of audio inputs, outputs and effect
algorithms. Effects and audio objects can be combined
in various ways, and their parameters can be
controlled by operator objects like oscillators and
MIDI-CCs. A versatile console mode user-interface is
included in the package.

This package contains the shared kvutils library.

%package -n	python-ecasound
Summary: 	Python bindings to ecasound control interface
Group: 		Sound/Editors and Converters
Requires: 	ecasound
Obsoletes:      pyecasound
Provides:       pyecasound

%description -n	python-ecasound
Python bindings to Ecasound Control Interface (ECI).

%package -n	ruby-ecasound
Summary:        Ruby bindings to ecasound control interface
Group:          Sound/Editors and Converters
Requires:       ecasound
Obsoletes:      rubyecasound
Provides:       rubyecasound

%description -n	ruby-ecasound
Ruby bindings to Ecasound Control Interface (ECI).

%package -n	%{develname}
Summary: 	Ecasound - development files
Group: 		Development/Other
Requires:	%{libname} = %{version}
Requires:	%{libc} = %{version}
Requires:	%{libkv} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname ecasound 22 -d}

%description -n	%{develname}
The ecasound-devel package contains the header files and static
libraries necessary for building apps like ecawave and
ecamegapedal that directly link against ecasound libraries.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1
%patch4 -p0

%build
autoreconf -fiv

%configure2_5x \
    --disable-static \
    --enable-liboil \
    --enable-pyecasound \
    --with-python-modules=%{py_platlibdir} \
    --disable-dependency-tracking \
    --enable-sys-readline
%make

%install
%makeinstall_std ECA_S_RUBY_SITEDIR="%{ruby_sitelibdir}"

find %{buildroot} -name '*.la' -delete

# Icons
install -m644 %{SOURCE1} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE2} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE3} -D %{buildroot}%{_liconsdir}/%{name}.png

# Menu

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{Summary}
Exec=%{name} -c
Icon=%{name}
Terminal=false
Type=Application
Categories=AudioVideo;Audio;
EOF

cat > %{buildroot}%{_datadir}/applications/ecamonitor.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{Summary}
Exec=ecamonitor
Icon=%{name}
Terminal=false
Type=Application
Categories=AudioVideo;Audio;
EOF

cat > %{buildroot}%{_datadir}/applications/ecasignalview.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{Summary}
Exec=ecasignalview
Icon=%{name}
Terminal=false
Type=Application
Categories=AudioVideo;Audio;
EOF

%multiarch_binaries %{buildroot}%{_bindir}/libecasound-config
%multiarch_binaries %{buildroot}%{_bindir}/libecasoundc-config

%files -n %{libname}
%{_libdir}/libecasound.so.%{major}{,.*}

%files -n %{libc}
%{_libdir}/libecasoundc.so.%{cmajor}{,.*}

%files -n %{libkv}
%{_libdir}/libkvutils.so.%{kvmajor}{,.*}

%files
%doc NEWS COPYING COPYING.GPL COPYING.LGPL README BUGS TODO examples
%doc Documentation/*.html
%{_bindir}/eca*
#%config(noreplace) %{_sysconfdir}/ecasound/*
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/*.desktop

%files -n python-ecasound
%{py_platsitedir}/*.py*

%files -n ruby-ecasound
%{ruby_sitelibdir}/*.rb

%files -n %{develname}
%multiarch %{multiarch_bindir}/libecasound-config
%multiarch %{multiarch_bindir}/libecasoundc-config
%{_bindir}/libecasound-config
%{_bindir}/libecasoundc-config
%{_includedir}/kvutils/*.h
%{_includedir}/libecasound/*.h
%{_includedir}/libecasoundc/*.h
%{_libdir}/*.so


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 2.9.1-6.mga6
+ Revision: 943953
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.9.1-5.mga5
+ Revision: 747901
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.9.1-4.mga5
+ Revision: 726153
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.9.1-3.mga5
+ Revision: 678921
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 2.9.1-2.mga5
+ Revision: 628166
- Rebuild for new Python

* Thu May 08 2014 barjac <barjac> 2.9.1-1.mga5
+ Revision: 621166
- new version ecasound-2.9.1
- re-diffed Patch0 removed Patch5

* Tue Oct 22 2013 umeabot <umeabot> 2.9.0-8.mga4
+ Revision: 545840
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 2.9.0-7.mga4
+ Revision: 501914
- include pyc and pyo files in python subpackages files list

* Sat Sep 21 2013 fwang <fwang> 2.9.0-6.mga4
+ Revision: 482933
- escape characters

* Sat Sep 21 2013 fwang <fwang> 2.9.0-5.mga4
+ Revision: 482929
- do not apply new patch on our package

* Sat Sep 21 2013 fwang <fwang> 2.9.0-4.mga4
+ Revision: 482925
- update correct patch

* Sat Sep 21 2013 fwang <fwang> 2.9.0-3.mga4
+ Revision: 482918
- add archlinux patch to build correctly with ruby 2

* Tue Jul 09 2013 dams <dams> 2.9.0-2.mga4
+ Revision: 451618
+ rebuild (emptylog)

* Fri Jan 11 2013 umeabot <umeabot> 2.9.0-2.mga3
+ Revision: 349307
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 cjw <cjw> 2.9.0-1.mga3
+ Revision: 338493
- 2.9.0
- add BuildRequires: pkgconfig(lilv-0) for LV2 support
- patch5: fix build with automake 1.13

* Sat Nov 03 2012 fwang <fwang> 2.8.1-4.mga3
+ Revision: 312883
- specify pydir
- specify pydir
- more patch
- install to correct dir
- update rpm group
- split out shared libs

* Thu Jan 12 2012 fwang <fwang> 2.8.1-3.mga2
+ Revision: 195273
- rebuild for  new audiofile

* Sun Nov 20 2011 zezinho <zezinho> 2.8.1-2.mga2
+ Revision: 169874
- add obsoletes to the lib

* Sun Nov 20 2011 zezinho <zezinho> 2.8.1-1.mga2
+ Revision: 169854
- new version

* Mon Apr 25 2011 wally <wally> 2.7.2-3.mga1
+ Revision: 90317
- fix desktop file names (mga#954)

* Sun Feb 06 2011 spuhler <spuhler> 2.7.2-2.mga1
+ Revision: 47844
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package ecasound


* Fri Nov 19 2010 Funda Wang <fwang@mandriva.org> 2.7.2-2mdv2011.0
+ Revision: 598991
- rebuild for py2.7

* Wed Sep 01 2010 Emmanuel Andry <eandry@mandriva.org> 2.7.2-1mdv2011.0
+ Revision: 575120
- New version 2.7.2

* Mon Mar 01 2010 Götz Waschk <waschk@mandriva.org> 2.7.1-2mdv2010.1
+ Revision: 512889
- rebuild for new libjack

* Mon Feb 22 2010 Frederik Himpe <fhimpe@mandriva.org> 2.7.1-1mdv2010.1
+ Revision: 509625
- update to new version 2.7.1

* Wed Jan 27 2010 Götz Waschk <waschk@mandriva.org> 2.7.0-2mdv2010.1
+ Revision: 497124
- rebuild

* Thu Dec 31 2009 Emmanuel Andry <eandry@mandriva.org> 2.7.0-1mdv2010.1
+ Revision: 484471
- disable make check, OK on cluster but fails when submitted
- fix pyecasound build
- rediff p0
- BR liboil-devel and liblo-devel
- fix configure options
- New version 2.6.0
- fix license
- use autoreconf
- disable arts support
- update file list

  + Jérôme Brenier <incubusss@mandriva.org>
    - update to new version 2.7.0
    - rediff P0

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - rebuild for latest readline

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Frederik Himpe <fhimpe@mandriva.org>
    - Fix underlinkingin pyecasound

* Sat Jan 03 2009 Funda Wang <fwang@mandriva.org> 2.5.2-2mdv2009.1
+ Revision: 323631
- rebuild

* Sun Aug 24 2008 Oden Eriksson <oeriksson@mandriva.com> 2.5.2-1mdv2009.0
+ Revision: 275506
- 2.5.2

* Thu Aug 21 2008 Oden Eriksson <oeriksson@mandriva.com> 2.5.1-1mdv2009.0
+ Revision: 274661
- 2.5.1
- new major again (20)

* Sun Aug 17 2008 Oden Eriksson <oeriksson@mandriva.com> 2.5.0-1mdv2009.0
+ Revision: 272891
- 2.5.0
- drop the gcc43 patch, it's fixed with this version
- fix shellbang

* Wed Jul 09 2008 Oden Eriksson <oeriksson@mandriva.com> 2.4.6.1-2mdv2009.0
+ Revision: 232974
- added gcc43 and linkage fixes
- fix devel package naming

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 02 2007 Emmanuel Andry <eandry@mandriva.org> 2.4.6.1-1mdv2008.0
+ Revision: 78215
- drop old menu
- drop old distro conditionnal
- New version
- rediff patch0
- fix icons


* Sun Feb 18 2007 Emmanuel Andry <eandry@mandriva.org> 2.4.5-1mdv2007.0
+ Revision: 122210
- New version 2.4.5
- disable check (python tests fail)

  + Oden Eriksson <oeriksson@mandriva.com>
    - drop ruby macros, the bs can't cope with that
    - rebuild

  + Lenny Cartier <lenny@mandriva.com>
    - Rebuild for dependencies

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Rebuild against new python
    - Import ecasound

* Fri Aug 04 2006 Oden Eriksson <oeriksson@mandriva.com> 2.4.4-4mdv2007.0
- fix deps

* Mon Jul 31 2006 Oden Eriksson <oeriksson@mandriva.com> 2.4.4-3mdv2007.0
- fix #19020
- fix xdg menu

* Sun Mar 05 2006 Michael Scherer <misc@mandriva.org> 2.4.4-2mdk
- use new python macro
- provides/obsoletes ruby package, fix #19021 
- uncomment make check

* Sat Jan 28 2006 Austin Acton <austin@mandriva.org> 2.4.4-1mdk
- New release 2.4.4
- major 16

* Thu Nov 03 2005 Oden Eriksson <oeriksson@mandriva.com> 2.4.2-2mdk
- fixed the ruby lib dir after peeking at the eruby spec 
  file... should fix x86_64 build..., duh!

* Thu Aug 18 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.4.2-1mdk
- New release 2.4.2

* Sun Jun 19 2005 Oden Eriksson <oeriksson@mandriva.com> 2.4.1-1mdk
- 2.4.1
- fix deps
- drop obsolete patches

* Sat Apr 02 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.4.0-1mdk
- 2.4.0
- added missing code (P0)
- make it compile on amd64
- make shared libraries
- use the %%mkrel macro
- fix python-naming-policy-not-applied rpmlint error
- fix possible future ruby-naming-policy-not-applied rpmlint error

* Mon Jan 31 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.3.5-2mdk
- fix deps and conditional %%multiarch

* Thu Nov 11 2004 Austin Acton <austin@mandrake.org> 2.3.5-1mdk
- 2.3.5

* Sat Oct 30 2004 Austin Acton <austin@mandrake.org> 2.3.4-1mdk
- 2.3.4
- source URL

* Wed Jun 09 2004 Austin Acton <austin@mandrake.org> 2.3.3-2mdk
- buildrequires ruby

* Wed May 05 2004 Austin Acton <austin@mandrake.org> 2.3.3-1mdk
- 2.3.3
- delib buildrequires
- configure 2.5

